=== modified file 'ChangeLog'
--- ChangeLog	2006-06-12 23:18:08 +0000
+++ ChangeLog	2006-06-13 18:56:54 +0000
@@ -1,5 +1,10 @@
 2006-06-12  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
+    * backend/commit.py: minor tweaks to push()
+    * backend/init.py: minor tweaks to checkout() and branch()
+
+2006-06-12  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
     * backend/init.py: checkout() implemented - not tested yet
     * backend/commit.py: push() implemented - not tested yet
     * backend/error.py: another bunch of exceptions added

=== modified file 'backend/commit.py'
--- backend/commit.py	2006-06-12 23:18:08 +0000
+++ backend/commit.py	2006-06-13 18:56:54 +0000
@@ -120,7 +120,7 @@
     try:
         dir_to = bzrlib.bzrdir.BzrDir.open(location_url)
         br_to = dir_to.open_branch()
-    except NotBranchError:
+    except errors.NotBranchError:
         # create a branch.
         transport = transport.clone('..')
         if not create_prefix:

=== modified file 'backend/errors.py'
--- backend/errors.py	2006-06-12 23:18:08 +0000
+++ backend/errors.py	2006-06-13 18:56:54 +0000
@@ -159,8 +159,6 @@
     """ Invalid revision value provided
     
     May occur in:
-        init.branch()
-        init.checkout()
     """
 
 class StrictCommitError(OliveError):

=== modified file 'backend/init.py'
--- backend/init.py	2006-06-12 23:18:08 +0000
+++ backend/init.py	2006-06-13 18:56:54 +0000
@@ -27,7 +27,7 @@
 
 from errors import (AlreadyBranchError, BranchExistsWithoutWorkingTree,
                     NonExistingParent, NonExistingRevision, NonExistingSource,
-                    RevisionValueError, TargetAlreadyExists)
+                    TargetAlreadyExists)
 
 def init(location):
     """ Initialize a directory.
@@ -68,11 +68,6 @@
     """
     from bzrlib.transport import get_transport
 
-    if revision is None:
-        revision = [None]
-    elif len(revision) > 1:
-        raise RevisionValueError
-
     try:
         br_from = Branch.open(from_location)
     except OSError, e:
@@ -85,10 +80,10 @@
 
     try:
         basis_dir = None
-        if len(revision) == 1 and revision[0] is not None:
-            revision_id = revision[0].in_history(br_from)[1]
+        if revision is not None:
+            revision_id = br_from.get_rev_id(revision)
         else:
-            revision_id = br_from.last_revision()
+            revision_id = None
 
         to_location = to_location + '/' + os.path.basename(from_location.rstrip("/\\"))
         name = None
@@ -115,7 +110,6 @@
         
     return branch.revno()
 
-# FIXME - not tested yet
 def checkout(branch_location, to_location, revision=None, lightweight=False):
     """ Create a new checkout of an existing branch.
     
@@ -127,22 +121,17 @@
     
     :param lightweight: perform a lightweight checkout (be aware!)
     """
-    if revision is None:
-        revision = [None]
-    elif len(revision) > 1:
-        raise RevisionValueError
-
     source = Branch.open(branch_location)
-
-    if len(revision) == 1 and revision[0] is not None:
-        revision_id = revision[0].in_history(source)[1]
+    
+    if revision is not None:
+        revision_id = source.get_rev_id(revision)
     else:
         revision_id = None
 
     # if the source and to_location are the same, 
     # and there is no working tree,
     # then reconstitute a branch
-    if (bzrlib.osutils.abspath(to_location) == 
+    if (bzrlib.osutils.abspath(to_location) ==
         bzrlib.osutils.abspath(branch_location)):
         try:
             source.bzrdir.open_workingtree()
@@ -175,6 +164,7 @@
             if revision_id is not None:
                 rh = checkout_branch.revision_history()
                 checkout_branch.set_revision_history(rh[:rh.index(revision_id) + 1])
+
         checkout.create_workingtree(revision_id)
     finally:
         bzrlib.bzrdir.BzrDirFormat.set_default_format(old_format)

